# Chirps as probing signals

Livio's hypothesis for the role of chirping: Chirps are a probing signal that are actively employed to figure out if there is another animal close by. This is basically in line with the idea put forward by Walz et al., that a chirp can briefly change the beat and move it into the well encoded ranges. Or at least a beat range that may be better encoded than the beat arising from the EOD interaction.

So far we do have data that shows that small (type II) chirp on the background of a slow beat leads to discontinuities in the regular AM that are more easily detected due to increased firning rates or increased population synchrony (Benda 2005, Walz 2014) or desynchronization depending on the background beat. Big chirps (type I) occur more often in different sex encounters (high beats) wich lead to a high degree of population synchrony. For the time of the chirp they break down the population response. (Benda 2006, Neuron) shows this effect and quantifies the chrip/beat response at different contrasts.

Livio would like to see the chirp, or rather the animal detectablility, as a function of distance between animals with and without chirps.

Benda et al does something like this but only for 20., 10, 5, and 2.5 % contrast (aka distance) and only for self-generated chirps. Actually, we would like to analyze the detectablility of a foreign fish during the beat or during the chirp. We would also like to compare the p-unit response to foreign and self-generated chirps. **Problem: we cannot record the responses to self-generated chrips!** And there is a profound difference between the AMs resulting from self- or foreign generated chirps.

Dimensionalities involved, The beat frequency, the distance (contrast), the chirp type, size and duration.

## Gameplan

1. Make clear that it is a stark difference in the resulting AM whether the chrip is self- foregn generates
2. Use Alex's Model to simulate the P-unit responses.

3. Record P-units and have beats of different contrasts that contain chirps of different types... Adapt a model to the cell and simulate the responses that we cannot measure.

### 1. Work out the difference between AMs induced by self and foreign generated chirps

#### a) Illustrate the difference --> Done

* Do this for one or two beat frequencies.
* Use a range of contrasts.

#### b) Work out the detectability of a foreign fish

* assume a certain level of noise (added to the EOD signal)
* without chirps
* with self-generated chirps
* with foreign generated chirps
Won't do, this is trivial?!

### 2. Use Alex' model to get the P-unit responses --> Done

* implement the Chripstimulus class
* move along the same lines as for the input signals
* create the stimulus for a range of contrasts, with self of the other fish chirping, each stimulus phase contains a phase in wich there is no foreign fish.
* calculate a bunch (10) trials for each condition and estimate the detecatability of a foreign fish 

### 3. Does the chirp increase the detectablility of another animal?

* Work out the difference between baseline activity and a foreign chirp response: --> done
* calculate the discriminability between the baseline (no-other fish present) and the another fish is present for each contrast -> done
* Work out the difference between the soliloquy and the response to self generated chirp in a communication context -> done
* Compare to the beat alone parts of the responses. -> done
* What kernels to use? -> done
* Duration of the chrip window?
* sorting according to phase?
* we could filter the P-unit responses to model the ELL filtering

### 4 plot discrimination results
## Random thoughts

* who is sending the chrips? Henninger and also Hupe illustrate the subordinant fish is chirping.
* Raab et al show this is also the case with rises.
* Check role of AFRs and rises in Tallarovic et al, Hupe et al.
* we actually do not observe chirps without stimulation

### correlated discrimunation results with different cell characteristics.
